RSA_PRINT(3)

NAME
RSA_print, RSA_print_fp, DSAparams_print, DSAparams_print_fp, DSA_print, DSA_print_fp, DHparams_print, DHparams_print_fp - print cryptographic parameters

SYNOPSIS
#include <openssl/rsa.h>
int
RSA_print(BIO *bp, RSA *x, int offset);
int
RSA_print_fp(FILE *fp, RSA *x, int offset);
#include <openssl/dsa.h>
int
DSAparams_print(BIO *bp, DSA *x);
int
DSAparams_print_fp(FILE *fp, DSA *x);
int
DSA_print(BIO *bp, DSA *x, int offset);
int
DSA_print_fp(FILE *fp, DSA *x, int offset);
#include <openssl/dh.h>
int
DHparams_print(BIO *bp, DH *x);
int
DHparams_print_fp(FILE *fp, DH *x);

DESCRIPTION
A human-readable hexadecimal output of the components of the RSA key, DSA parameters or key or DH parameters is printed to bp or fp.

The output lines are indented by offset spaces.

RETURN VALUES
These functions return 1 on success or 0 on error.

SEE ALSO
BN_bn2bin(3), DH_get0_pqg(3), DSA_get0_pqg(3), RSA_get0_key(3), RSA_new(3)

HISTORY
RSA_print(), RSA_print_fp(), DSA_print(), DSA_print_fp(), DHparams_print(), and DHparams_print_fp() appeared before SSLeay 0.8. DSAparams_print() and DSAparams_print_fp() first appeared in SSLeay 0.8. All these functions have been available since OpenBSD 2.4.